Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanConstructorInfo

    java.lang.Object
      javax.management.MBeanFeatureInfo
          javax.management.MBeanConstructorInfo

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  ModelMBeanConstructorInfo, OpenMBeanConstructorInfoSupport

public class MBeanConstructorInfo
extends MBeanFeatureInfo
implements java.io.Serializable, java.lang.Cloneable

Describes a constructor exposed by an MBean. Instances of this class are immutable. Subclasses may be mutable but this is not recommended.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`MBeanConstructorInfo(java.lang.String description, java.lang.reflect.Constructor constructor)` Constructs an `MBeanConstructorInfo` object.
`MBeanConstructorInfo(java.lang.String name, java.lang.String description, MBeanParameterInfo[] signature)` Constructs an `MBeanConstructorInfo` object.

Method Summary
`java.lang.Object` | `clone()` Returns a shallow clone of this instance.
`boolean` | `equals(java.lang.Object o)` Compare this MBeanConstructorInfo to another.
`MBeanParameterInfo[]` | `getSignature()` Returns the list of parameters for this constructor.
`int` | `hashCode()`

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanConstructorInfo

    public MBeanConstructorInfo(java.lang.String description,
                                java.lang.reflect.Constructor constructor)

  Constructs an `MBeanConstructorInfo` object.

Parameters:
  `description` - A human readable description of the operation.
  `constructor` - The `java.lang.reflect.Constructor` object describing the MBean constructor.

### MBeanConstructorInfo

    public MBeanConstructorInfo(java.lang.String name,
                                java.lang.String description,
                                MBeanParameterInfo[] signature)
                         throws java.lang.IllegalArgumentException

  Constructs an `MBeanConstructorInfo` object.

Parameters:
  `name` - The name of the constructor.
  `signature` - `MBeanParameterInfo` objects describing the parameters(arguments) of the constructor. This may be null with the same effect as a zero-length array.
  `description` - A human readable description of the constructor.

Method Detail

### clone

    public java.lang.Object clone()

  Returns a shallow clone of this instance. The clone is obtained by simply calling `super.clone()`, thus calling the default native shallow cloning mechanism implemented by `Object.clone()`. No deeper cloning of any internal field is made.

  Since this class is immutable, cloning is chiefly of interest to subclasses.

### getSignature

    public MBeanParameterInfo[] getSignature()

  Returns the list of parameters for this constructor. Each parameter is described by an `MBeanParameterInfo` object.

  The returned array is a shallow copy of the internal array, which means that it is a copy of the internal array of references to the `MBeanParameterInfo` objects but that each referenced `MBeanParameterInfo` object is not copied.

  Returns:
    An array of `MBeanParameterInfo` objects.

### equals

    public boolean equals(java.lang.Object o)

  Compare this MBeanConstructorInfo to another.

  Overrides:
    `equals` in class `MBeanFeatureInfo`
  Parameters:
    `o` - the object to compare to.
  Returns:
    true iff `o` is an MBeanConstructorInfo such that its `MBeanFeatureInfo.getName()`, `MBeanFeatureInfo.getDescription()`, and `getSignature()` values are equal (not necessarily identical) to those of this MBeanConstructorInfo. Two signature arrays are equal if their elements are pairwise equal.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `MBeanFeatureInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.